AFPPageFonts (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp.fonts

## Class AFPPageFonts

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.apache.fop.afp.fonts.AFPPageFonts

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class AFPPageFonts
      extends HashMap

  Holds the current page fonts
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPPageFonts()` Default constructor
    `AFPPageFonts(AFPPageFonts fonts)` Parameterized constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AFPFontAttributes` | `registerFont(String fontName, AFPFont font, int fontSize)` Registers a font on the current page and returns font attributes

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### AFPPageFonts

          public AFPPageFonts()

      Default constructor

    - #### AFPPageFonts

          public AFPPageFonts(AFPPageFonts fonts)

      Parameterized constructor
      Parameters:
        `fonts` - an existing set of afp page fonts

  - ### Method Detail

    - #### registerFont

          public AFPFontAttributes registerFont(String fontName,
                                                AFPFont font,
                                                int fontSize)

      Registers a font on the current page and returns font attributes
      Parameters:
        `fontName` - the internal font name
        `font` - the AFPFont
        `fontSize` - the font point size
      Returns:
        newly registered AFPFontAttributes

Copyright © 2025 Apache Software Foundation. All rights reserved.